This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 810991 - Configuration Channel File Contents editor dialog doesn't work in IE9
Configuration Channel File Contents editor dialog doesn't work in IE9
Status: CLOSED UPSTREAM
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.8
All Windows
low Severity low
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On: 811164 811167
Blocks: sat541-triage space18
  Show dependency treegraph
 
Reported: 2012-04-09 15:51 EDT by Stephen Herr
Modified: 2012-11-01 12:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 712193
Environment:
Last Closed: 2012-04-10 06:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-04-09 15:51:04 EDT
+++ This bug was initially created as a clone of Bug #712193 +++

Description of problem:

When using IE9, the editor in the 'File Contents' area of 
https://<SATELLITE>/rhn/configuration/file/FileDetails.do does not work properly.

Random highlighting and cursor overrides occur. Attempting to use the 'Toggle editor' tickbox doesn't resolve the issue. 

Version-Release number of selected component (if applicable):
Red Hat Satellite 5.4


How reproducible:
100%

Steps to Reproduce:
1. Edit a file content using IE9

Actual results:
Random highlighting and cursor overrides occur

Expected results:
Edit file properly. 

Additional info:

  ** ONLY OCCURS WITH IE9 **

--- Additional comment from sherr@redhat.com on 2012-04-09 14:44:52 EDT ---

Workaround for this bug is that customers can enable "Compatibility Mode" for this page in IE9: http://cggallant.blogspot.com/2011/03/document-compatibility-modes-in.html

One way: 1) press F12, 2) change "Document Mode" to "IE8 Standards" or something.
Comment 1 Stephen Herr 2012-04-10 06:23:51 EDT
We do not build the editarea rpm for Spacewalk, so there's nothing I can do here.

I have filed bugs upstream on editarea, patches to fix editarea can be found on those bugs:
bug 811164
bug 811167

Note You need to log in before you can comment on or make changes to this bug.